# DataExchange
TKSTEPBase
StepBasic

# StepBasic_WeekOfYearAndDayDate Class Reference

`#include <StepBasic_WeekOfYearAndDayDate.hxx>`

Inheritance diagram for StepBasic_WeekOfYearAndDayDate:

[legend]

## Public Member Functions

Standard_EXPORT | StepBasic_WeekOfYearAndDayDate ()
| Returns a WeekOfYearAndDayDate .
virtual Standard_EXPORT void | Init (const Standard_Integer aYearComponent)
virtual Standard_EXPORT void | Init (const Standard_Integer aYearComponent, const Standard_Integer aWeekComponent, const Standard_Boolean hasAdayComponent, const Standard_Integer aDayComponent)
Standard_EXPORT void | SetWeekComponent (const Standard_Integer aWeekComponent)
Standard_EXPORT Standard_Integer | WeekComponent () const
Standard_EXPORT void | SetDayComponent (const Standard_Integer aDayComponent)
Standard_EXPORT void | UnSetDayComponent ()
Standard_EXPORT Standard_Integer | DayComponent () const
Standard_EXPORT Standard_Boolean | HasDayComponent () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | weekComponent
Standard_Integer | dayComponent
Standard_Boolean | hasDayComponent

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_WeekOfYearAndDayDate::StepBasic_WeekOfYearAndDayDate | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer StepBasic_WeekOfYearAndDayDate::DayComponent | ( |  | ) | const

Standard_EXPORT const StepBasic_WeekOfYearAndDayDate::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepBasic_Date.

Standard_EXPORT Standard_Boolean StepBasic_WeekOfYearAndDayDate::HasDayComponent | ( |  | ) | const

virtual Standard_EXPORT void StepBasic_WeekOfYearAndDayDate::Init | ( | const Standard_Integer | aYearComponent,
|  | const Standard_Integer | aWeekComponent,
|  | const Standard_Boolean | hasAdayComponent,
|  | const Standard_Integer | aDayComponent
| ) | `[virtual]`

virtual Standard_EXPORT void StepBasic_WeekOfYearAndDayDate::Init | ( | const Standard_Integer | aYearComponent | ) | `[virtual]`

| Reimplemented from StepBasic_Date.

Standard_EXPORT void StepBasic_WeekOfYearAndDayDate::SetDayComponent | ( | const Standard_Integer | aDayComponent | ) |

Standard_EXPORT void StepBasic_WeekOfYearAndDayDate::SetWeekComponent | ( | const Standard_Integer | aWeekComponent | ) |

Standard_EXPORT void StepBasic_WeekOfYearAndDayDate::UnSetDayComponent | ( |  | ) |

Standard_EXPORT Standard_Integer StepBasic_WeekOfYearAndDayDate::WeekComponent | ( |  | ) | const

## Field Documentation

Standard_Integer StepBasic_WeekOfYearAndDayDate::dayComponent `[private]`

Standard_Boolean StepBasic_WeekOfYearAndDayDate::hasDayComponent `[private]`

Standard_Integer StepBasic_WeekOfYearAndDayDate::weekComponent `[private]`

The documentation for this class was generated from the following file:

- StepBasic_WeekOfYearAndDayDate.hxx